"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.encrypt = encrypt;
exports.decrypt = decrypt;
const CONTRACT_ID_FACTOR = 1000000;
/**
 * Convert the 2 params as uint32 where the first 4 digits are for contractsId,
 * the followings one are for injectionPoint id
 *
 * @export
 * @param {number} contractId
 * @param {number} injectionPointId
 * @returns a number representing the 2 params as uint32
 */

function encrypt(contractId, injectionPointId) {
  return contractId * CONTRACT_ID_FACTOR + injectionPointId;
}
/**
 * Explore the uint32 into contractId, injectionPointId and locationIds where
 * the first 4 digits are for contractsId,
 * the rest are for injectionPoint id
 *
 * @export
 * @param {number} value
 * @returns
 */


function decrypt(value) {
  const contractId = Math.floor(value / CONTRACT_ID_FACTOR);
  const injectionPointId = value - contractId * CONTRACT_ID_FACTOR;
  return {
    contractId,
    injectionPointId
  };
}
//# sourceMappingURL=eventId.js.map